Index: issm/branches/trunk-jpl-damage/src/modules/Kriging/Kriging.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/Kriging/Kriging.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/Kriging/Kriging.cpp	(revision 12878)
@@ -22,13 +22,13 @@
 	/*checks on arguments on the matlab side: */
 	if (nrhs<NRHS || nlhs>NLHS){
-		KrigingUsage(); _error_("Kriging usage error");
+		KrigingUsage(); _error2_("Kriging usage error");
 	}
 
 	/*Fetch inputs: */
 	FetchData(&x,&n_obs,X);
-	FetchData(&y,&N,Y);                       if(n_obs!=N) _error_("x and y should have the same size");
-	FetchData(&observations,&N,OBSERVATIONS); if(n_obs!=N) _error_("x and observations should have the same size");
+	FetchData(&y,&N,Y);                       if(n_obs!=N) _error2_("x and y should have the same size");
+	FetchData(&observations,&N,OBSERVATIONS); if(n_obs!=N) _error2_("x and observations should have the same size");
 	FetchData(&x_interp,&M_interp,&N_interp,XINTERP);
-	FetchData(&y_interp,&M,&N,YINTERP);       if(N!=N_interp || M!=M_interp) _error_("x_interp and y_interp should have the same size");
+	FetchData(&y_interp,&M,&N,YINTERP);       if(N!=N_interp || M!=M_interp) _error2_("x_interp and y_interp should have the same size");
 	FetchData(&options,NRHS,nrhs,prhs);
 
@@ -54,6 +54,20 @@
 
 void KrigingUsage(void){
-	_printf_(true,"\n");
-	_printf_(true,"   usage: predictions=%s(x,y,observations,x_interp,y_interp);\n",__FUNCT__);
-	_printf_(true,"\n");
+	_pprintLine_("");
+	_pprintLine_("   usage: predictions=" << __FUNCT__ << "(x,y,observations,x_interp,y_interp,'options');");
+	_pprintLine_("   available options:");
+	_pprintLine_("      -'model': Available variogram models 'gaussian' (default),'spherical','power','exponential'");
+	_pprintLine_("         -'nugget': nugget effect (default 0.2)");
+	_pprintLine_("         -'range':  for gaussian, spherical and exponential models (default sqrt(3))");
+	_pprintLine_("         -'sill':   for gaussian, spherical and exponential models (default 1)");
+	_pprintLine_("         -'slope':  for power model (default 1)");
+	_pprintLine_("         -'power':  for power model (default 1)");
+	_pprintLine_("      -'searchradius': search radius for each prediction (default is observations span)");
+	_pprintLine_("      -'boxlength':    minimum length of quadtree boxes (useful to decrease the number of observations)");
+	_pprintLine_("      -'maxdata':      minimum number of observations for a prediction (default is 50)");
+	_pprintLine_("      -'mindata':      maximum number of observations for a prediction (default is 1)");
+	_pprintLine_("      -'maxtrimming':  maximum trimming value (default is -1.e+21)");
+	_pprintLine_("      -'mintrimming':  minimum trimming value (default is +1.e+21)");
+	_pprintLine_("      -'minspacing':   minimum distance between observation (default is 0.01)");
+	_pprintLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/Ll2xy/Ll2xy.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/Ll2xy/Ll2xy.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/Ll2xy/Ll2xy.cpp	(revision 12878)
@@ -25,8 +25,8 @@
 	/*checks on arguments on the matlab side: */
 	if (nlhs > NLHS) {
-		Ll2xyUsage(); _error_("Ll2xy usage error");
+		Ll2xyUsage(); _error2_("Ll2xy usage error");
 	}
 	if (nrhs < NRHS) {
-		Ll2xyUsage(); _error_("Ll2xy usage error");
+		Ll2xyUsage(); _error2_("Ll2xy usage error");
 	}
 
@@ -40,16 +40,16 @@
 	if(options->GetOption("central_meridian") || options->GetOption("standard_parallel")){
 		options->Get(&cm,"central_meridian");
-		if (verbose) printf("  cm=%g\n",cm);
+		if (verbose) _printLine_("  cm=" << cm);
 		options->Get(&sp,"standard_parallel");
-		if (verbose) printf("  sp=%g\n",sp);
+		if (verbose) _printLine_("  sp=" << sp);
 	}
 
 	/*some checks*/
-	if (verbose) printf("Checking inputs:\n");
-	if (nlat != nlon) _error_("Must have same number of lat[%d] and lon[%d] coordinates.",nlat,nlon);
+	if (verbose) _printLine_("Checking inputs:");
+	if (nlat != nlon){_error2_("Must have same number of lat[" << nlat << "] and lon[" << nlon << "] coordinates.");}
 	else                ncoord=nlat;
-	if (sgn != +1 && sgn != -1) _error_("Hemisphere sgn=%d must be +1 (north) or -1 (south).",sgn);
-	if (fabs(cm)      > 180.) _error_("Central meridian cm=%g must be between -180 (west) and +180 (east) degrees.",cm);
-	if (sp < 0. || sp >  90.) _error_("Standard parallel sp=%g must be between 0 and 90 degrees (in specified hemisphere).",sp);
+	if (sgn != +1 && sgn != -1) _error2_("Hemisphere sgn=" << sgn << " must be +1 (north) or -1 (south).");
+	if (fabs(cm)      > 180.) _error2_("Central meridian cm=" << cm << " must be between -180 (west) and +180 (east) degrees.");
+	if (sp < 0. || sp >  90.) _error2_("Standard parallel sp=" << sp << " must be between 0 and 90 degrees (in specified hemisphere).");
 
 	x=(double*)mxMalloc(ncoord*sizeof(double));
@@ -74,25 +74,25 @@
 
 void Ll2xyUsage(void){
-	_printf_(true,"Ll2xy - lat/long to x/y coordinate transformation module:\n");
-	_printf_(true,"\n");
-	_printf_(true,"   This module transforms lat/long to x/y coordinates.\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Usage:\n");
-	_printf_(true,"      [x,y]=Ll2xy(lat,lon,sgn,'param name',param,...);\n");
-	_printf_(true,"\n");
-	_printf_(true,"      lat         latitude coordinates (double vector)\n");
-	_printf_(true,"      lon         longitude coordinates (double vector)\n");
-	_printf_(true,"      sgn         sign for hemisphere (double, +1 (north) or -1 (south))\n");
-	_printf_(true,"\n");
-	_printf_(true,"      central_meridian     central meridian (double, optional, but must specify with sp)\n");
-	_printf_(true,"      standard_parallel    standard parallel (double, optional, but must specify with cm)\n");
-	_printf_(true,"\n");
-	_printf_(true,"      x           x coordinates (double vector)\n");
-	_printf_(true,"      y           y coordinates (double vector)\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Examples:\n");
-	_printf_(true,"      [x,y]=Ll2xy(lat,lon, 1);\n");
-	_printf_(true,"      [x,y]=Ll2xy(lat,lon, 1,'central_meridian',45,'standard_parallel',70);\n");
-	_printf_(true,"      [x,y]=Ll2xy(lat,lon,-1,'central_meridian', 0,'standard_parallel',71);\n");
-	_printf_(true,"\n");
+	_pprintLine_("Ll2xy - lat/long to x/y coordinate transformation module:");
+	_pprintLine_("");
+	_pprintLine_("   This module transforms lat/long to x/y coordinates.");
+	_pprintLine_("");
+	_pprintLine_("   Usage:");
+	_pprintLine_("      [x,y]=Ll2xy(lat,lon,sgn,'param name',param,...);");
+	_pprintLine_("");
+	_pprintLine_("      lat         latitude coordinates (double vector)");
+	_pprintLine_("      lon         longitude coordinates (double vector)");
+	_pprintLine_("      sgn         sign for hemisphere (double, +1 (north) or -1 (south))");
+	_pprintLine_("");
+	_pprintLine_("      central_meridian     central meridian (double, optional, but must specify with sp)");
+	_pprintLine_("      standard_parallel    standard parallel (double, optional, but must specify with cm)");
+	_pprintLine_("");
+	_pprintLine_("      x           x coordinates (double vector)");
+	_pprintLine_("      y           y coordinates (double vector)");
+	_pprintLine_("");
+	_pprintLine_("   Examples:");
+	_pprintLine_("      [x,y]=Ll2xy(lat,lon, 1);");
+	_pprintLine_("      [x,y]=Ll2xy(lat,lon, 1,'central_meridian',45,'standard_parallel',70);");
+	_pprintLine_("      [x,y]=Ll2xy(lat,lon,-1,'central_meridian', 0,'standard_parallel',71);");
+	_pprintLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/MeshPartition/MeshPartition.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/MeshPartition/MeshPartition.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/MeshPartition/MeshPartition.cpp	(revision 12878)
@@ -96,9 +96,9 @@
 
 void MeshPartitionUsage(void){
-	printf("   usage:\n");
-	printf("   [element_partitioning,node_partitioning]=MeshPartition(md.mesh,numpartitions)");
-	printf("   where:\n");
-	printf("      element_partitioning is a vector of partitioning area numbers, for every element.\n");
-	printf("      node_partitioning is a vector of partitioning area numbers, for every node.\n");
-	printf("\n");
+	_printLine_("   usage:");
+	_printString_("   [element_partitioning,node_partitioning]=MeshPartition(md.mesh,numpartitions)");
+	_printLine_("   where:");
+	_printLine_("      element_partitioning is a vector of partitioning area numbers, for every element.");
+	_printLine_("      node_partitioning is a vector of partitioning area numbers, for every node.");
+	_printLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/MeshProfileIntersection/MeshProfileIntersection.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/MeshProfileIntersection/MeshProfileIntersection.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/MeshProfileIntersection/MeshProfileIntersection.cpp	(revision 12878)
@@ -54,5 +54,5 @@
 	//index
 	FetchData(&double_index,&nel,&dummy,INDEX);
-	if(dummy!=3 && dummy!=6)_error_(" element triangulation should be of 3 or 6 column width!");
+	if(dummy!=3 && dummy!=6)_error2_("element triangulation should be of 3 or 6 column width!");
 	index=(int*)xmalloc(nel*3*sizeof(int));
 	for(i=0;i<nel;i++){
@@ -81,9 +81,9 @@
 	/* Debugging of contours :{{{1*/
 	/*for(i=0;i<numcontours;i++){
-		printf("\nContour echo: contour number  %i / %i\n",i+1,numcontours);
+		_printLine_("\nContour echo: contour number  " << i+1 << " / " << numcontours);
 		contouri=*(contours+i);
-		printf("   Number of vertices %i\n",contouri->nods);
+		_printLine_("   Number of vertices " << contouri->nods);
 		for (j=0;j<contouri->nods;j++){
-			printf("   %lf %lf\n",*(contouri->x+j),*(contouri->y+j));
+			_printLine_("   " << *(contouri->x+j) << "f " << *(contouri->y+j) << "f");
 		}
 	}*/
@@ -102,13 +102,13 @@
 
 void MeshProfileIntersectionUsage(void){
-	printf("   usage:\n");
-	printf("   [segments]=MeshProfileIntersection(index,x,y,filename);\n");
-	printf("   where:\n");
-	printf("   input:\n");
-	printf("        index,x,y is a triangulation\n");
-	printf("        filename: name of Argus style .exp file containing the segments (can be groups of disconnected segments)\n");
-	printf("   output:\n");
-	printf("        segments: array made of x1,y1,x2,y2,element_id lines (x1,y1) and (x2,y2) are segment extremitis for a segment \n");
-	printf("        belonging to the elemnt_id element. there are as many lines in segments as there are segments intersecting the \n");
-	printf("        mesh.\n");
+	_printLine_("   usage:");
+	_printLine_("   [segments]=MeshProfileIntersection(index,x,y,filename);");
+	_printLine_("   where:");
+	_printLine_("   input:");
+	_printLine_("        index,x,y is a triangulation");
+	_printLine_("        filename: name of Argus style .exp file containing the segments (can be groups of disconnected segments)");
+	_printLine_("   output:");
+	_printLine_("        segments: array made of x1,y1,x2,y2,element_id lines (x1,y1) and (x2,y2) are segment extremitis for a segment ");
+	_printLine_("        belonging to the elemnt_id element. there are as many lines in segments as there are segments intersecting the ");
+	_printLine_("        mesh.");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/NodeConnectivity/NodeConnectivity.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/NodeConnectivity/NodeConnectivity.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/NodeConnectivity/NodeConnectivity.cpp	(revision 12878)
@@ -37,6 +37,6 @@
 
 void NodeConnectivityUsage(void) {
-	_printf_(true,"\n");
-	_printf_(true,"   usage: connectivity = %s(elements, numnodes);\n",__FUNCT__);
-	_printf_(true,"\n");
+	_pprintLine_("");
+	_pprintLine_("   usage: connectivity = " << __FUNCT__ << "(elements, numnodes);");
+	_pprintLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/PointCloudFindNeighbors/PointCloudFindNeighbors.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/PointCloudFindNeighbors/PointCloudFindNeighbors.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/PointCloudFindNeighbors/PointCloudFindNeighbors.cpp	(revision 12878)
@@ -42,11 +42,11 @@
 
 void PointCloudFindNeighborsUsage(void){
-	printf("   usage:\n");
-	printf("   [flags]=PointCloudFindNeighbors(x,y,mindistance,multithread);\n\n");
-	printf("   where:\n");
-	printf("      x,y: list of points.\n");
-	printf("      mindistance: minimum distance that should exist between points in the cloud.\n");
-	printf("      multithread: run multithreaded or not. with multithreads, flags can get 1 and 2 values in duplicates.\n");
-	printf("      flags: array of flags (flag==1 means point is within mindistance of another point)\n");
-	printf("\n");
+	_printLine_("   usage:");
+	_printLine_("   [flags]=PointCloudFindNeighbors(x,y,mindistance,multithread);\n");
+	_printLine_("   where:");
+	_printLine_("      x,y: list of points.");
+	_printLine_("      mindistance: minimum distance that should exist between points in the cloud.");
+	_printLine_("      multithread: run multithreaded or not. with multithreads, flags can get 1 and 2 values in duplicates.");
+	_printLine_("      flags: array of flags (flag==1 means point is within mindistance of another point)");
+	_printLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/PropagateFlagsFromConnectivity/PropagateFlagsFromConnectivity.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/PropagateFlagsFromConnectivity/PropagateFlagsFromConnectivity.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/PropagateFlagsFromConnectivity/PropagateFlagsFromConnectivity.cpp	(revision 12878)
@@ -42,6 +42,6 @@
 
 void PropagateFlagsFromConnectivityUsage(void) {
-	printf("\n");
-	printf("   usage: [pool] = %s(connectivity,pool,index,flags);\n",__FUNCT__);
-	printf("\n");
+	_printLine_("");
+	_printLine_("   usage: [pool] = " << __FUNCT__ << "(connectivity,pool,index,flags);");;
+	_printLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/Scotch/Scotch.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/Scotch/Scotch.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/Scotch/Scotch.cpp	(revision 12878)
@@ -25,5 +25,5 @@
 
 #ifndef _HAVE_SCOTCH_ //only works if scotch library has been compiled in.
-	_error_(" Scotch not available! Cannot carry out Scotch partitioning!");
+	_error2_("Scotch not available! Cannot carry out Scotch partitioning!");
 	#else
 
Index: issm/branches/trunk-jpl-damage/src/modules/Shp2Kml/Shp2Kml.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/Shp2Kml/Shp2Kml.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/Shp2Kml/Shp2Kml.cpp	(revision 12878)
@@ -25,5 +25,5 @@
 
 	#ifndef _HAVE_SHAPELIB_ //only works if shapelib library has been compiled in.
-	_error_(" Shapelib not available! Cannot carry out shp file translation!");
+	_error2_("Shapelib not available! Cannot carry out shp file translation!");
 	#endif
 
@@ -33,8 +33,8 @@
 	/*checks on arguments on the matlab side: */
 	if (nlhs > NLHS) {
-		Shp2KmlUsage(); _error_("Shp2Kml usage error");
+		Shp2KmlUsage(); _error2_("Shp2Kml usage error");
 	}
 	if (nrhs < NRHS) {
-		Shp2KmlUsage(); _error_("Shp2Kml usage error");
+		Shp2KmlUsage(); _error2_("Shp2Kml usage error");
 	}
 
@@ -48,13 +48,13 @@
 	if (options->GetOption("central_meridian") || options->GetOption("standard_parallel")) {
 		options->Get(&cm,"central_meridian");
-		if (verbose) printf("  cm=%g\n",cm);
+		if (verbose) _printLine_("  cm=" << cm);
 		options->Get(&sp,"standard_parallel");
-		if (verbose) printf("  sp=%g\n",sp);
+		if (verbose) _printLine_("  sp=" << sp);
 	}
 
 	/*some checks*/
-	if (sgn < -1 || sgn > +1) _error_("Hemisphere sgn=%d must be +1 (north), -1 (south), or 0 (no translation).",sgn);
-	if (fabs(cm)      > 180.) _error_("Central meridian cm=%g must be between -180 (west) and +180 (east) degrees.",cm);
-	if (sp < 0. || sp >  90.) _error_("Standard parallel sp=%g must be between 0 and 90 degrees (in specified hemisphere).",sp);
+	if (sgn < -1 || sgn > +1) _error2_("Hemisphere sgn=" << sgn << " must be +1 (north), -1 (south), or 0 (no translation).");
+	if (fabs(cm)      > 180.) _error2_("Central meridian cm=" << cm << " must be between -180 (west) and +180 (east) degrees.");
+	if (sp < 0. || sp >  90.) _error2_("Standard parallel sp=" << sp << " must be between 0 and 90 degrees (in specified hemisphere).");
 
 	/* Run core computations: */
@@ -77,24 +77,24 @@
 
 void Shp2KmlUsage(void){
-	_printf_(true,"Shp2Kml - shp to kml file conversion module:\n");
-	_printf_(true,"\n");
-	_printf_(true,"   This module converts a file from shp to kml format.\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Usage:\n");
-	_printf_(true,"      [ret]=Shp2Kml(filshp,filkml,sgn,'param name',param,...);\n");
-	_printf_(true,"\n");
-	_printf_(true,"      filshp      file name of shp file to be read (char, extension optional)\n");
-	_printf_(true,"      filkml      file name of kml file to be written (char)\n");
-	_printf_(true,"      sgn         sign for hemisphere (double, +1 (north); -1 (south); or 0 (no translation))\n");
-	_printf_(true,"\n");
-	_printf_(true,"      central_meridian     central meridian (double, optional, but must specify with sp)\n");
-	_printf_(true,"      standard_parallel    standard parallel (double, optional, but must specify with cm)\n");
-	_printf_(true,"\n");
-	_printf_(true,"      ret         return code (non-zero for warning)\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Examples:\n");
-	_printf_(true,"      [ret]=Shp2Kml('file.shp','file.kml', 0);\n");
-	_printf_(true,"      [ret]=Shp2Kml('file.shp','file.kml', 1,'central_meridian',45,'standard_parallel',70);\n");
-	_printf_(true,"      [ret]=Shp2Kml('file.shp','file.kml',-1,'central_meridian', 0,'standard_parallel',71);\n");
-	_printf_(true,"\n");
+	_pprintLine_("Shp2Kml - shp to kml file conversion module:");
+	_pprintLine_("");
+	_pprintLine_("   This module converts a file from shp to kml format.");
+	_pprintLine_("");
+	_pprintLine_("   Usage:");
+	_pprintLine_("      [ret]=Shp2Kml(filshp,filkml,sgn,'param name',param,...);");
+	_pprintLine_("");
+	_pprintLine_("      filshp      file name of shp file to be read (char, extension optional)");
+	_pprintLine_("      filkml      file name of kml file to be written (char)");
+	_pprintLine_("      sgn         sign for hemisphere (double, +1 (north); -1 (south); or 0 (no translation))");
+	_pprintLine_("");
+	_pprintLine_("      central_meridian     central meridian (double, optional, but must specify with sp)");
+	_pprintLine_("      standard_parallel    standard parallel (double, optional, but must specify with cm)");
+	_pprintLine_("");
+	_pprintLine_("      ret         return code (non-zero for warning)");
+	_pprintLine_("");
+	_pprintLine_("   Examples:");
+	_pprintLine_("      [ret]=Shp2Kml('file.shp','file.kml', 0);");
+	_pprintLine_("      [ret]=Shp2Kml('file.shp','file.kml', 1,'central_meridian',45,'standard_parallel',70);");
+	_pprintLine_("      [ret]=Shp2Kml('file.shp','file.kml',-1,'central_meridian', 0,'standard_parallel',71);");
+	_pprintLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/StringToEnum/StringToEnum.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/StringToEnum/StringToEnum.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/StringToEnum/StringToEnum.cpp	(revision 12878)
@@ -12,5 +12,5 @@
 	/*checks on arguments on the matlab side: */
 	if(nrhs!=NRHS){
-		StringToEnumUsage(); _error_(" usage. See above");
+		StringToEnumUsage(); _error2_("usage. See above");
 	}
 
@@ -27,6 +27,6 @@
 void StringToEnumUsage(void)
 {
-	_printf_(true,"\n");
-	_printf_(true,"   usage: %senum = StringToEnum(string);\n",__FUNCT__);
-	_printf_(true,"\n");
+	_pprintLine_("");
+	_pprintLine_("   usage: " << __FUNCT__ << "enum = StringToEnum(string);");
+	_pprintLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/TriMesh/TriMesh.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/TriMesh/TriMesh.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/TriMesh/TriMesh.cpp	(revision 12878)
@@ -51,9 +51,9 @@
 	delete domain;
 	delete rifts;
-	xdelete_module(&index);
-	xdelete_module(&x);
-	xdelete_module(&y);
-	xdelete_module(&segments);
-	xdelete_module(&segmentmarkerlist);
+	delete index;
+	delete x;
+	delete y;
+	delete segments;
+	delete segmentmarkerlist;
 
 	/*end module: */
@@ -63,11 +63,11 @@
 void TriMeshUsage(void) //{{{1
 {
-	printf("\n");
-	printf("   usage: [index,x,y,segments,segmentmarkers]=TriMesh(domainoutlinefilename,rifts,area) \n");
-	printf("      where: index,x,y defines a triangulation, segments is an array made \n");
-	printf("      of exterior segments to the mesh domain outline, segmentmarkers is an array flagging each segment, \n");
-	printf("      outlinefilename an Argus domain outline file, \n");
-	printf("      area is the maximum area desired for any element of the resulting mesh, \n");
-	printf("\n");
+	_printLine_("");
+	_printLine_("   usage: [index,x,y,segments,segmentmarkers]=TriMesh(domainoutlinefilename,rifts,area) ");
+	_printLine_("      where: index,x,y defines a triangulation, segments is an array made ");
+	_printLine_("      of exterior segments to the mesh domain outline, segmentmarkers is an array flagging each segment, ");
+	_printLine_("      outlinefilename an Argus domain outline file, ");
+	_printLine_("      area is the maximum area desired for any element of the resulting mesh, ");
+	_printLine_("");
 }
 //}}}
Index: issm/branches/trunk-jpl-damage/src/modules/TriMeshProcessRifts/TriMeshProcessRifts.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/TriMeshProcessRifts/TriMeshProcessRifts.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/TriMeshProcessRifts/TriMeshProcessRifts.cpp	(revision 12878)
@@ -66,6 +66,5 @@
 		mexPrintf("   %s format error.\n", __FUNCT__);
 		TriMeshProcessRiftsUsage();
-		printf("   ");
-		mexErrMsgTxt(" ");
+		_error_("bad usage");
 	}
 
@@ -82,6 +81,5 @@
 	}
 	else{
-		printf("%s%s\n",__FUNCT__," error message: first argument should be the element list!");
-		mexErrMsgTxt(" ");
+		_error_("first argument should be the element list");
 	}
 
@@ -96,6 +94,5 @@
 	}
 	else{
-		printf("%s%s\n",__FUNCT__," error message: second argument should be the x corrdinate list!");
-		mexErrMsgTxt(" ");
+		_error_("second argument should be the x corrdinate list");
 	}
 
@@ -109,6 +106,5 @@
 	}
 	else{
-		printf("%s%s\n",__FUNCT__," error message: third argument should be the y corrdinate list!");
-		mexErrMsgTxt(" ");
+		_error_("third argument should be the y corrdinate list");
 	}	
 
@@ -125,6 +121,5 @@
 	}
 	else{
-		printf("%s%s\n",__FUNCT__," error message: fourth argument should be the segments list!");
-		mexErrMsgTxt(" ");
+		_error_("fourth argument should be the segments list");
 	}
 
@@ -138,29 +133,6 @@
 	}
 	else{
-		printf("%s%s\n",__FUNCT__," error message: fourth argument should be the segmentmarkers list!");
-		mexErrMsgTxt(" ");
-	}
-
-	/*
-	printf("Index: \n");
-	for (i=0;i<nel;i++){
-		for(j=0;j<3;j++){
-			printf("%lf ",*(index_in+3*i+j));
-		}
-		printf("\n");
-	}
-	printf("x,y: \n");
-	for (i=0;i<nods;i++){
-		printf("%16.16lf %16.16lf\n",x_in[i],y_in[i]);
-	}
-	printf("segments:\n");
-	for (i=0;i<num_seg;i++){
-		for(j=0;j<3;j++){
-			printf("%lf ",*(segments_in+3*i+j));
-		}
-		printf("%lf ",segmentmarkers_in[i]);
-		printf("\n");
-	}
-	*/
+		_error_("fourth argument should be the segmentmarkers list");
+	}
 
 	/*First, do some fixing on the existing mesh: we do not want any element belonging entirely to the segment list (ie: 
@@ -325,7 +297,7 @@
 void TriMeshProcessRiftsUsage(void)
 {
-	printf("\n");
-	printf("   usage: [index2,x2,y2,segments2,segmentmarkers2,rifts2]=TriMeshProcessrifts(index1,x1,y1,segments1,segmentmarkers1) \n");
-	printf("      where: (index1,x1,y1,segments1,segmentmarkers1) is an initial triangulation.\n");
-	printf("      index2,x2,y2,segments2,segmentmarkers2,rifts2 is the resulting triangulation where rifts have been processed.\n");
+	_printLine_("");
+	_printLine_("   usage: [index2,x2,y2,segments2,segmentmarkers2,rifts2]=TriMeshProcessrifts(index1,x1,y1,segments1,segmentmarkers1) ");
+	_printLine_("      where: (index1,x1,y1,segments1,segmentmarkers1) is an initial triangulation.");
+	_printLine_("      index2,x2,y2,segments2,segmentmarkers2,rifts2 is the resulting triangulation where rifts have been processed.");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/TriaSearch/TriaSearch.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/TriaSearch/TriaSearch.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/TriaSearch/TriaSearch.cpp	(revision 12878)
@@ -9,5 +9,5 @@
 
 	/*input: */
-	double* index=NULL;
+	int*    index=NULL;
 	int     nel;
 	int     dummy;
@@ -37,8 +37,4 @@
 	FetchData(&y0,&numberofnodes,Y0HANDLE);
 
-	/* Echo: {{{1*/
-	//printf("(x0,y0)=(%g,%g)\n",x0,y0);
-	/*}}}*/
-
 	/* Run core computations: */
 	TriaSearchx(&tria,index,nel,x,y,nods,x0,y0,numberofnodes);
@@ -54,13 +50,12 @@
 }
 
-void TriaSearchUsage(void)
-{
-	_printf_(true,"TriaSearch- find triangle holding a point (x0,y0) in a mesh\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Usage:\n");
-	_printf_(true,"         tria=TriaSearch(index,x,y,x0,y0);\n");
-	_printf_(true,"      index,x,y: mesh triangulatrion\n");
-	_printf_(true,"      x0,y0: coordinates of the point for which we are trying to find a triangle\n");
-	_printf_(true,"      x0,y0 can be an array of points\n");
-	_printf_(true,"\n");
+void TriaSearchUsage(void){
+	_pprintLine_("TriaSearch- find triangle holding a point (x0,y0) in a mesh");
+	_pprintLine_("");
+	_pprintLine_("   Usage:");
+	_pprintLine_("         tria=TriaSearch(index,x,y,x0,y0);");
+	_pprintLine_("      index,x,y: mesh triangulatrion");
+	_pprintLine_("      x0,y0: coordinates of the point for which we are trying to find a triangle");
+	_pprintLine_("      x0,y0 can be an array of points");
+	_pprintLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/Xy2ll/Xy2ll.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/Xy2ll/Xy2ll.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/Xy2ll/Xy2ll.cpp	(revision 12878)
@@ -24,8 +24,8 @@
 	/*checks on arguments on the matlab side: */
 	if (nlhs > NLHS) {
-		Xy2llUsage(); _error_("Xy2ll usage error");
+		Xy2llUsage(); _error2_("Xy2ll usage error");
 	}
 	if (nrhs < NRHS) {
-		Xy2llUsage(); _error_("Xy2ll usage error");
+		Xy2llUsage(); _error2_("Xy2ll usage error");
 	}
 
@@ -39,15 +39,15 @@
 	if (options->GetOption("central_meridian") || options->GetOption("standard_parallel")) {
 		options->Get(&cm,"central_meridian");
-		if (verbose) printf("  cm=%g\n",cm);
+		if (verbose) _printLine_("  cm=" << cm);
 		options->Get(&sp,"standard_parallel");
-		if (verbose) printf("  sp=%g\n",sp);
+		if (verbose) _printLine_("  sp=" << sp);
 	}
 
 	/*some checks*/
-	if   (nx != ny) _error_("Must have same number of x[%d] and y[%d] coordinates.",nx,ny);
+	if   (nx != ny){_error2_("Must have same number of x[" << nx << "] and y[" << ny << "] coordinates.");}
 	else            ncoord=nx;
-	if (sgn != +1 && sgn != -1) _error_("Hemisphere sgn=%d must be +1 (north) or -1 (south).",sgn);
-	if (fabs(cm)      > 180.) _error_("Central meridian cm=%g must be between -180 (west) and +180 (east) degrees.",cm);
-	if (sp < 0. || sp >  90.) _error_("Standard parallel sp=%g must be between 0 and 90 degrees (in specified hemisphere).",sp);
+	if (sgn != +1 && sgn != -1) _error2_("Hemisphere sgn=" << sgn << " must be +1 (north) or -1 (south).");
+	if (fabs(cm)      > 180.) _error2_("Central meridian cm=" << cm << " must be between -180 (west) and +180 (east) degrees.");
+	if (sp < 0. || sp >  90.) _error2_("Standard parallel sp=" << sp << " must be between 0 and 90 degrees (in specified hemisphere).");
 
 	lat=(double*)mxMalloc(ncoord*sizeof(double));
@@ -55,5 +55,5 @@
 
 	/* Run core computations: */
-	if (verbose) printf("Calling core:\n");
+	if (verbose) _printLine_("Calling core:");
 	if (options->GetOption("central_meridian") && options->GetOption("standard_parallel"))
 		iret=Xy2llx(lat,lon,x,y,ncoord,sgn,cm,sp);
@@ -73,26 +73,26 @@
 
 void Xy2llUsage(void){
-	_printf_(true,"Xy2ll - x/y to lat/long coordinate transformation module:\n");
-	_printf_(true,"\n");
-	_printf_(true,"   This module transforms x/y to lat/long coordinates.\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Usage:\n");
-	_printf_(true,"      [lat,lon]=Xy2ll(x,y,sgn,'param name',param,...);\n");
-	_printf_(true,"\n");
-	_printf_(true,"      x           x coordinates (double vector)\n");
-	_printf_(true,"      y           y coordinates (double vector)\n");
-	_printf_(true,"      sgn         sign for hemisphere (double, +1 (north) or -1 (south))\n");
-	_printf_(true,"\n");
-	_printf_(true,"      central_meridian     central meridian (double, optional, but must specify with sp)\n");
-	_printf_(true,"      standard_parallel    standard parallel (double, optional, but must specify with cm)\n");
-	_printf_(true,"\n");
-	_printf_(true,"      lat         latitude coordinates (double vector)\n");
-	_printf_(true,"      lon         longitude coordinates (double vector)\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Examples:\n");
-	_printf_(true,"      [lat,lon]=Xy2ll(x,y, 1);\n");
-	_printf_(true,"      [lat,lon]=Xy2ll(x,y, 1,'central_meridian',45,'standard_parallel',70);\n");
-	_printf_(true,"      [lat,lon]=Xy2ll(x,y,-1,'central_meridian', 0,'standard_parallel',71);\n");
-	_printf_(true,"\n");
+	_pprintLine_("Xy2ll - x/y to lat/long coordinate transformation module:");
+	_pprintLine_("");
+	_pprintLine_("   This module transforms x/y to lat/long coordinates.");
+	_pprintLine_("");
+	_pprintLine_("   Usage:");
+	_pprintLine_("      [lat,lon]=Xy2ll(x,y,sgn,'param name',param,...);");
+	_pprintLine_("");
+	_pprintLine_("      x           x coordinates (double vector)");
+	_pprintLine_("      y           y coordinates (double vector)");
+	_pprintLine_("      sgn         sign for hemisphere (double, +1 (north) or -1 (south))");
+	_pprintLine_("");
+	_pprintLine_("      central_meridian     central meridian (double, optional, but must specify with sp)");
+	_pprintLine_("      standard_parallel    standard parallel (double, optional, but must specify with cm)");
+	_pprintLine_("");
+	_pprintLine_("      lat         latitude coordinates (double vector)");
+	_pprintLine_("      lon         longitude coordinates (double vector)");
+	_pprintLine_("");
+	_pprintLine_("   Examples:");
+	_pprintLine_("      [lat,lon]=Xy2ll(x,y, 1);");
+	_pprintLine_("      [lat,lon]=Xy2ll(x,y, 1,'central_meridian',45,'standard_parallel',70);");
+	_pprintLine_("      [lat,lon]=Xy2ll(x,y,-1,'central_meridian', 0,'standard_parallel',71);");
+	_pprintLine_("");
 }
 
